---
title: "Create/edit signing link for doc group"
url: "https://docs.signnow.com/docs/signing-link/operations/post-v2-document-group-document-group-id-signing-links"
type: "endpoint"
section: "signing-link"
slug: "signing-link/operations/post-v2-document-group-document-group-id-signing-links"
method: "POST"
path: "/v2/document-groups/{document_group_id}/signing-links"
operation_id: "post-v2-document-group-document-group-id-signing-links"
authorization: "bearer"
---

# Create/edit signing link for doc group

`POST /v2/document-groups/{document_group_id}/signing-links`

This endpoint allows API users to create a signing link for a document group, or update the existing one.

This endpoint can be used only:
* by the owner of the document group
* when there are no documents within the document group that have Viewers in the routing details
* all the roles specified in the documents are mapped with recipients of the signing link
* when there are no roles with Viewer level of access to all documents
* at least one of the documents has active fields

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Responses

### 200

The signing link was created or updated.

**Example** (`Successful response`)

```json
{
  "data": {
    "id": "b9bccc376c97189dc1b9d5ab481104e26ea8816b",
    "url": "https://signnow.com/dispatch?route=document_group_signing_link&signing_link_id=70f10357c139fe012c645b17dcbb3cc13c1621bf",
    "hash": "Ab3dE5gH",
    "created": 1792744366,
    "short_url": "https://signnow.com/s/Ab3dE5gH",
    "json_attributes": {
      "brand_id": null,
      "recipients": null
    }
  }
}
```

### 400

* Request without headers
* There are no fields on the documents
* Document group has active invite
* There is no recipient on the document group
* There is no guest signer on the first signing step.
* There is more than one guest signer on the document group.
* Documents should not be deleted.
* Not all signers mapped to recipients.
* There cannot exist view only recipient on the document group.
* `Require Login to Sign` organization setting is enabled.
* `Invites Must Use Two Factor Authentication` organization setting is enabled. 
* At least one recipient contain email group



**Example** (`Request without headers`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Document group has active invite`)

```json
{
  "errors": [
    {
      "code": 19040003,
      "message": "Document group has active invite."
    }
  ]
}
```

**Example** (`Documents should not be deleted.`)

```json
{
  "errors": [
    {
      "code": 19040007,
      "message": "Documents should not be deleted."
    }
  ]
}
```

**Example** (`Not all signers mapped to recipients.`)

```json
{
  "errors": [
    {
      "code": 19040008,
      "message": "Not all signers mapped to recipients."
    }
  ]
}
```

**Example** (`There are no fields on the documents.`)

```json
{
  "errors": [
    {
      "code": 19040002,
      "message": "There are no fields on the documents."
    }
  ]
}
```

**Example** (`At least one recipient contain email group`)

```json
{
  "errors": [
    {
      "code": 190400012,
      "message": "At least one recipient contains email group."
    }
  ]
}
```

**Example** (`There is no recipient on the document group.`)

```json
{
  "errors": [
    {
      "code": 19040004,
      "message": "There is no recipient on the document group."
    }
  ]
}
```

**Example** (`There is no guest signer on the first signing step.`)

```json
{
  "errors": [
    {
      "code": 19040005,
      "message": "There is no guest signer on the first signing step."
    }
  ]
}
```

**Example** (``Require Login to Sign` organization setting is enabled.`)

```json
{
  "errors": [
    {
      "code": 190400011,
      "message": "Require Login to Sign organization setting is enabled."
    }
  ]
}
```

**Example** (`There is more than one guest signer on the document group.`)

```json
{
  "errors": [
    {
      "code": 19040006,
      "message": "There is more than one guest signer on the document group."
    }
  ]
}
```

**Example** (`There cannot exist view only recipient on the document group.`)

```json
{
  "errors": [
    {
      "code": 190400010,
      "message": "There cannot exist view only recipient on the document group."
    }
  ]
}
```

**Example** (``Invites Must Use Two Factor Authentication` organization setting is enabled`)

```json
{
  "errors": [
    {
      "code": 190400012,
      "message": "`Invites Must Use Two Factor Authentication` organization setting is enabled."
    }
  ]
}
```

### 403

Current user is not document group owner.

**Example** (`Current user is not document group owner.`)

```json
{
  "errors": [
    {
      "code": 19040001,
      "message": "Current user is not document group owner."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/signing-links" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/signing-link/operations/post-v2-document-group-document-group-id-signing-links*
